GlueGen: com.jogamp.gluegen.cgram.types.TypeComparator.AliasedSemanticSymbol Interface Reference

GlueGen v2.6.0 GlueGen, Native Binding Generator for Java™ (public API).

List of all members
com.jogamp.gluegen.cgram.types.TypeComparator.AliasedSemanticSymbol Interface Reference

Supports common interface for `SemanticEqualityOp` and `AliasedSymbol`. More...

Inheritance diagram for com.jogamp.gluegen.cgram.types.TypeComparator.AliasedSemanticSymbol:
Collaboration diagram for com.jogamp.gluegen.cgram.types.TypeComparator.AliasedSemanticSymbol:

## Additional Inherited Members

Public Member Functions inherited from com.jogamp.gluegen.cgram.types.AliasedSymbol
void | rename (final String newName)
| Rename this symbol with the given `newName` if not equal `current-name`. More...
void | addAliasedName (final String origName)
| Add the given `origName` to the list of `aliases` if not equal `current-name`. More...
boolean | hasAliases ()
| Returns `true` if this symbol has aliases, i.e. More...
Set< String > | getAliasedNames ()
| Return all aliases for this symbol, i.e. More...
String | getOrigName ()
| Return the original-name as set at creation. More...
String | getName ()
| Return the current-name, which is the last `renamed-name` if issued, or the `original-name`. More...
String | getAliasedString ()
| Return this object's `toString()` wrapped w/ the `current-name` and all `aliases`. More...
Public Member Functions inherited from com.jogamp.gluegen.cgram.types.TypeComparator.SemanticEqualityOp
int | hashCodeSemantics ()
| Semantic hashcode for Types exclusive its given `name`. More...
boolean | equalSemantics (final SemanticEqualityOp arg)
| Semantic equality test for Types exclusive its given `name`. More...

## Detailed Description

Supports common interface for `SemanticEqualityOp` and `AliasedSymbol`.

Definition at line 52 of file TypeComparator.java.

The documentation for this interface was generated from the following file:

- src/java/com/jogamp/gluegen/cgram/types/TypeComparator.java